package com.bomostory.sceneeditmodule.basicdata

import android.graphics.Paint

open class Actor {
    open var resourcePath: String = ""
    var positionX: Int = 0
    var positionY: Int = 0
    var positionZ: Int = 0
    var sideLength: Int = 0
    var sideHeight: Int = 0
    var isSelect: Boolean = false
    var parentLayerIndex = 0
    var isMovable: Boolean = false
    var text: String = ""
    var textColor = "#000000"
    var textAlign = Paint.Align.LEFT
    var isDialogue = false
    var isMirror = false
    var opacity = 1.0f
    var dialogColor = 0
    var dialogType = 0
}
