package com.bomostory.sceneeditmodule.basicdata

import com.bomostory.sceneeditmodule.cover.Category
import com.bomostory.sceneeditmodule.cover.CoverColor
import com.example.bomocloud.theme.ThemeAssetIndex
import java.io.File

data class Project (
        val themeAssetIndex: ThemeAssetIndex,
        val projectFile: File,
        val projectFolder: File,
        val scene1File: File,
        val scene2File: File,
        val coverFile: File,
        var assetFolder: File,
        var name: String? = null,
        var author: String? = null,
        var frontCoverColor: CoverColor = CoverColor.Color1,
        var backCoverColor: CoverColor = CoverColor.Color1,
        var category: Category = Category.Others,
    // TODO : Remove this
        var scene1: String? = null,
    // TODO : Remove this
        var scene2: String? = null,
        var story: Story? = null,
    // TODO : Remove this
        var actorResource: ArrayList<ArrayList<String>>? = null,
    // TODO : Remove this
        var sceneResource: ArrayList<String>? = null
)