package com.bomostory.sceneeditmodule.cover

import android.content.Context
import com.example.tfat.myapplication.R

enum class CoverColor(val colorResId: Int) {
    Color1(R.color.coverColor_1),
    Color2(R.color.coverColor_2),
    Color3(R.color.coverColor_3),
    Color4(R.color.coverColor_4),
    Color5(R.color.coverColor_5),
    Color6(R.color.coverColor_6),
    Color7(R.color.coverColor_7),
    Color8(R.color.coverColor_8),
    Color9(R.color.coverColor_9),
    Color10(R.color.coverColor_10);

    fun getColor(context: Context): Int {
        return context.resources.getColor(colorResId)
    }
}