package com.example.tfat.myapplication.navigationbar

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.RelativeLayout
import com.example.tfat.myapplication.R
import kotlinx.android.synthetic.main.view_edit_scene.view.*

class EditSceneView : RelativeLayout{

    constructor(context : Context) : super(context) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet): super(context, attrs) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet, defStyle: Int): super(context, attrs, defStyle) {
        initView()
    }

    private fun initView(){
        val inflater = LayoutInflater.from(context)
        inflater.inflate(R.layout.view_edit_scene, this, true)
    }

    fun setOnClickDoneListener(onClickListener: OnClickListener) {
        btn_edit_scene_done.setOnClickListener(onClickListener)
    }

    fun setOnClickStartOverListener(onClickListener: OnClickListener) {
        btn_edit_scene_start_over.setOnClickListener(onClickListener)
    }

    fun setOnClickReplaceListener(onClickListener: OnClickListener) {
        btn_edit_scene_replace.setOnClickListener(onClickListener)
    }

    fun setOnClickDeleteListener(onClickListener: OnClickListener) {
        btn_edit_scene_delete.setOnClickListener(onClickListener)
    }

}