package com.bomostory.sceneeditmodule

import android.os.Environment
import java.io.File

object Config {
    private val ROOT = File(Environment.getExternalStorageDirectory(), "Bomo")
    private const val ASSETS_FOLDER_PATH = "/Bomo/Assets"
    private const val PROJECTS_FOLDER_PATH = "/Bomo/Projects"
    private const val IMAGE_FOLDER_PATH = "/Bomo/Image"
    val IMAGE_FOLDER = File(Environment.getExternalStorageDirectory(), IMAGE_FOLDER_PATH)
    val ASSETS_FOLDER = File(Environment.getExternalStorageDirectory(), ASSETS_FOLDER_PATH)
    val PROJECTS_FOLDER = File(Environment.getExternalStorageDirectory(), PROJECTS_FOLDER_PATH)
    const val PROJECT_FILE_NAME = "index"
    val PDF_FOLDER = File(ROOT, "pdf")

    const val VIDEO_FILE_NAME = "video.mp4"
}