package com.bomostory.sceneeditmodule

import com.example.tfat.myapplication.R
import java.util.HashMap

object DialogueColorData {
    val dialogMap =  HashMap<Pair<Int,Int>,Int>().apply {
        put(Pair(0,0),R.drawable.ic_speechbubble_w1)
        put(Pair(0,1),R.drawable.ic_speechbubble_y1)
        put(Pair(0,2),R.drawable.ic_speechbubble_b1)
        put(Pair(0,3),R.drawable.ic_speechbubble_g1)
        put(Pair(0,4),R.drawable.ic_speechbubble_r1)
        put(Pair(1,0),R.drawable.ic_speechbubble_w2)
        put(Pair(1,1),R.drawable.ic_speechbubble_y2)
        put(Pair(1,2),R.drawable.ic_speechbubble_b2)
        put(Pair(1,3),R.drawable.ic_speechbubble_g2)
        put(Pair(1,4),R.drawable.ic_speechbubble_r2)
        put(Pair(2,0),R.drawable.ic_speechbubble_w3)
        put(Pair(2,1),R.drawable.ic_speechbubble_y3)
        put(Pair(2,2),R.drawable.ic_speechbubble_b3)
        put(Pair(2,3),R.drawable.ic_speechbubble_g3)
        put(Pair(2,4),R.drawable.ic_speechbubble_r3)
        put(Pair(3,0),R.drawable.ic_speechbubble_w4)
        put(Pair(3,1),R.drawable.ic_speechbubble_y4)
        put(Pair(3,2),R.drawable.ic_speechbubble_b4)
        put(Pair(3,3),R.drawable.ic_speechbubble_g4)
        put(Pair(3,4),R.drawable.ic_speechbubble_r4)
        put(Pair(4,0),R.drawable.ic_speechbubble_w5)
        put(Pair(4,1),R.drawable.ic_speechbubble_y5)
        put(Pair(4,2),R.drawable.ic_speechbubble_b5)
        put(Pair(4,3),R.drawable.ic_speechbubble_g5)
        put(Pair(4,4),R.drawable.ic_speechbubble_r5)
        put(Pair(5,0),R.drawable.ic_speechbubble_w6)
        put(Pair(5,1),R.drawable.ic_speechbubble_y6)
        put(Pair(5,2),R.drawable.ic_speechbubble_b6)
        put(Pair(5,3),R.drawable.ic_speechbubble_g6)
        put(Pair(5,4),R.drawable.ic_speechbubble_r6)
        put(Pair(6,0),R.drawable.ic_speechbubble_w7)
        put(Pair(6,1),R.drawable.ic_speechbubble_y7)
        put(Pair(6,2),R.drawable.ic_speechbubble_b7)
        put(Pair(6,3),R.drawable.ic_speechbubble_g7)
        put(Pair(6,4),R.drawable.ic_speechbubble_r7)
    }

    fun getDialogColorType(resource: Int) : Pair<Int,Int>{
        for (i in 0 until 7){
            for(j in 0 until 5){
                if (resource == dialogMap[Pair(i,j)]) return Pair(i,j)
            }
        }
        return  Pair(0,0)
    }

    val colorMap = HashMap<Int,String>().apply {
        put(1,"#d0021b")
        put(2,"#f5a623")
        put(3,"#f8e71c")
        put(4,"#ffecb3")
        put(5,"#417505")
        put(6,"#bd10e0")
        put(7,"#9013fe")
        put(8,"#4a90e2")
        put(9,"#000000")
        put(10,"#ffffff")
    }
}