package com.bomostory.sceneeditmodule.screen.view

import android.view.MotionEvent
import android.view.View

class OnTouchSceneListener : View.OnTouchListener{
    var positionX = 0f
    var onSceneTouchCallBack: OnSceneTouchListener? = null

    override fun onTouch(v: View?, event: MotionEvent?): Boolean {
            when (event?.action) {
                MotionEvent.ACTION_DOWN -> {
                    positionX = event.x
                    onSceneTouchCallBack?.onSceneTouch()
                }
                MotionEvent.ACTION_MOVE -> {

                }
                MotionEvent.ACTION_UP -> {
                }
            }
        return true
    }

    fun setCallBack(onSceneMoveCallBack: OnSceneTouchListener){
        this.onSceneTouchCallBack = onSceneMoveCallBack
    }
    interface OnSceneTouchListener{
        fun onSceneTouch()
    }

}


